      subroutine map_steel_allsol(xmax,xgcur,xalpha,dcoeffa,tcc,
     &alpha,cc,cc0,ifail)
      implicit none
      double precision cc,xmax,xgcur,xalpha,dcoeffa,tcc,alpha,cc0
      double precision map_steel_xalph,omeg,sum
      integer ifail,i1
      dimension cc(6)
      xalpha=map_steel_xalph(tcc)
      omeg=(xmax-xgcur)/(xmax-xalpha)
   
* if we are outside the fit range of the approximation then warn the user

      if (omeg .gt. 0.985) then
      ifail=1
      endif 

      sum=cc0
      do 10 i1=1,6
         sum=sum+cc(i1)*omeg**(i1*1.0d0)
10    continue
      alpha=2.0d0*dsqrt(dcoeffa)*(10.0d0**(sum))
      return
      end
